<template>
  <tr>
    <td>{{ title }}</td>
    <td>{{ startDate }}</td>
    <td>{{ endDate }}</td>
    <td>
      <button class="btn btn-link" v-on:click="deleteData({id})">
        Supprimer
      </button>
    </td>
  </tr>
</template>

<script>
export default {
  props: ["id", "title", "startDate", "endDate"],
  methods: {
    deleteData(id) {
      this.$store.dispatch("tenderCalls/tenderCall", id);
      this.$router.replace("/administration/tenderCalls");
    },
  },
};
</script>

<style scoped>
.color-hint-button {
  background: teal;
}
</style>

